tests: test_adc test_drv8353

test_adc: vcd/adc_driver_tb.vcd

vcd/adc_driver_tb.vcd: bin/adc_driver_tb
	./bin/adc_driver_tb
	
bin/adc_driver_tb: adc_driver_tb.v ../library/adc_driver.v
	iverilog adc_driver_tb.v ../library/adc_driver.v -o bin/adc_driver_tb

test_drv8353: vcd/drv8353_spi_tb.vcd

vcd/drv8353_spi_tb.vcd: bin/drv8353_spi_tb
	./bin/drv8353_spi_tb
	
bin/drv8353_spi_tb: drv8353_spi_tb.v ../library/drv8353r_driver.v
	iverilog $^ -o bin/drv8353_spi_tb
